AutoCAD VB :: Block Reference Rotation
Oct 22, 2013
I'm trying to write a vb script to extract information from the CAD drawing. While testing, i found that for some drawing blocks, the corresponding AcadBlockReference Rotation returns 1.57, but when i look at the actual drawing, block properties, the rotation is 0.
View 3 Replies
ADVERTISEMENT
Dec 13, 2012
using AutoCAD 2009 (vanilla)
I got too smart for myself today in bringing an old drawing up to current standards...Everyone seems to want their block attributes to be zero - I have blocks where the attributes are best when they match the rotations of each blocks.
I have an old drawing that was rotated (as it should be) at approx 2deg.
I used a lisp routine to global edit all the blocks that needed to be at zero. BUT for some reason (and after hundreds of blocks were corrected), I noticed I now have two blocks that should NOT have been in the set have had their attributes rotated to zero....and the attributes should be at the same rotation as their block's rotation.
Because those two blocks have a fixed tic mark, I can click on the mark to see what the block rotation is, then rotate its attribute to that rotation, but I have hundreds of blocks! One-at-a-time sucks....
Any chance there is a GLOBAL way to edit an attribute rotation to match its own block's rotation?
View 2 Replies
View Related
Jul 27, 2012
I am making a template file having title block with fields. I use this template for creating layouts and sheets using Sheet Set Manager and the fields will be updated from the data of SSM. Now i would like to add a dynamic north block to my template. The block could be rotated (i have this block in file itself) and rotation angle could be inserted. Now how can i add a custom field to SSM so that i could set a rotation angle for the project and thus every new layout or sheet created using the template has the north block rotated with the angle mentioned in SSM.
Here is the file...........
View 9 Replies
View Related
Oct 21, 2013
I'm trying to change block the definition of an block reference.
I did something like this:
blockreference.BlockTableRecord = newBlock.ObjectId;
In most cases this works well. However I found a case that it not work as well. When I try to change the definition from a new block that I have created in my test DWG, it disappears from the model.
View 6 Replies
View Related
May 3, 2012
I have a block: “Block_A”. I am trying to determine if a block reference of the block exist.
Currently I would iterate every block Reference in the Block Table, and then dig deep into each block ref . . . . .
I was wondering if I could just take “Block_A” and see if it has reference and where the references are. Perhaps this is just wishful thinking but I was hoping for a faster way to obtain the references then to iterate thousands of blocks in each table record.
View 4 Replies
View Related
Nov 17, 2012
Drawing contains a block with "BlkName". I want to insert blockreferences of this existing block using .Net. All shows how to insert a new block and then use the BlockID returned by the insert function. In my case I only have the block name and there is no Block id. How to get it or how to create a block reference of an existing block?
View 3 Replies
View Related
Aug 22, 2011
My company is useing LDD2009, as well as map. when we make notations in our plans we use a block that is basicly a square with an attribute inside to represent a number, the nuber then corresponds to the same number and a description in a table.
Now, I have been asked to create / recreate (a)the block that would rotate per viewport, also; we are not usin dynamic leaders.
is there a way to either continue with the block or create a dynamic leader that would rotate per viewport, even in other drawings that have xrefs attached like Plan & Profile sheets that are separate drawings.
I'm not sure how autocad would handle the rotating as well as the location of the block and still have the leader point in the same place.
View 2 Replies
View Related
Jul 26, 2012
I am using Express Tools Block Replace how do I keep the blocking being replace from rotating to the orientation of the block using for replacement?
View 2 Replies
View Related
Nov 25, 2013
I'm just trying my hand at learning to create some dynamic blocks, but need a solution to keep the text unrotated. I have attached a file of my troublesome file for you experts to look at, if possible.
PileTest.dwg
The file is basically a plan view of 4x foundation columns for overhead line towers (pylons). These towers can be different sizes and at different orientations, hence the dynamic options I have applied. However, when I rotate the block I want the text to rotate with it (to keep aligned with each column A, B, C, D), but I don't want rotation to be applied to the text, if that makes sense?
I have a feeling that constraints might work, although I know nothing about them, but these usually lag my PC. At present I am having to explode the block and apply a 0 rotation to all the text.
View 8 Replies
View Related
Dec 28, 2012
We have a dynamic section marker block. You can flip it, rotate it and stretch it. Some of our drawings have a lot of them. For some instances of the block that are rotated, opening the drawing or inserting another copy of the block causes the fill in the arrow to move back to its original orientation (see images). The darn things even plot incorrectly.
Flipping the broken ones back and forth fixes them, but it is silly that a drafter would have to do that with each one.
View 4 Replies
View Related
Jul 11, 2011
I have a section symbol that I want to rotate and keep the text at 0degress relative to UCS. The text is not in the middle so I can't rotate about the cetner of the text. I'll attach the block so it's more clear.
Right now the only fix is to assign a seperate rotation grip to both attribute text items.
View 4 Replies
View Related
Sep 30, 2013
I am making a simple continuation block (attached) and I am trying to get it to have a rotation parameter along the polyline. I am able to do that, but the only issue is the flip parameter goes all weird when I do so (the text starts distancing itself from the polyline when stretched, rotated and flipped).
View 4 Replies
View Related
Jul 28, 2011
I have some blocks with lines and some attributes.
I want to be able to rotate the block freely but I want to always have the rotation of the attributes at 0 deg.
Is there any way to lock the value of the attributes rotation to 0?
View 3 Replies
View Related
Nov 21, 2013
I can not for the life of me get my attributes to rotate with my block. I've attached the block to better understand what I'm talking about. I'd like the attributed text to rotate with the brown line. I don't care if the text ends up upside-down, I just want it to rotate with the block.
View 1 Replies
View Related
Apr 4, 2011
Title Block.dwg
I am trying to create a custom Title block and want items such as Title, sub title and location to be locked in place but editable when inserted. The next requirement I have is to have these attributes rotated 90 degrees.
What I am getting is a block that in the editor looks exactly the way I want it to. However when I import the block into Paper Space and enter the information, those attributes that were defined as 90 degrees are presenting without any rotation at all.
View 5 Replies
View Related
Aug 29, 2011
when trying to create dynamic rotation for a block with attributes. If I constrain the attribute to a line in the block it damaged the behavior of the block when using the dynamic rotation.
I tried both multiline and non- multiline attributes. I tried to fiddle with the "constraint settings" and leave only the Parallel constraint running with no effect.
When I open a new clean acad drawing and paste the block there, no problem.
View 2 Replies
View Related
Jan 11, 2008
We use this light switch block for work. For the life of me, I can't figure out how to make the attribute to stay (LOCKED) at rotation 0 when inserting no matter which angle the swtich is inserted. The only way the text stays at rotation 0 is if I insert the block as is (pointing right), then align the switch to a wall. The block is created with alignment grip. So if I add the switch to a wall at an angle (eg:45 degrees), the text will be rotated and stay rotated. If I insert the switch on the left side of the wall, the attributes will be upside down. I can manually rotate the attributes back to 0 degrees and it will stay locked to 0 degrees. But what I want it to do is to be inserted at 0 degrees to begin with.
View 9 Replies
View Related
Jan 7, 2013
I have a block that I'm trying to convert for dynamic use.
In the first image, you'll see the items that I want to have rotatable in blue. The items in red should NOT rotate. That part seems to work fine. But the items that do rotate don't behave as expected.
I created the rotate parameter selecting the center of the red circle as the base point. Shouldn't that cause ALL the items to rotate about that center point?
As you'll see from the second image, the blue line rotates about some other point.
EDIT: Well I guess it only does it if I have the blue horizontal line defined with a length constraint. I also need to have that line dynamic--I need to make it longer/shorter.
I've attached a dwg file with the block in it--it's at the top of the block list (___SectMark2).
View 9 Replies
View Related
May 25, 2010
Wondering if there was a way to have text maintain a rotation angle of 0 while being included in a rotation parameter. I am wanting the "N" for my North Arrow to follow the direction of the symbol of my viewport tag without the "N" character rotation angle changing with it.
View 9 Replies
View Related
Mar 6, 2013
I have an interior elevation callout block with four arrows, noting the N, S, E, W interior wall elevations. I trick I use to rotate Text while keeping the Text oriented in the upright position is to place a Point Parameter at the center of the text then set the "Chain Actions" to Yes. Then I use the Move Action to tie the text to the Point Parameter. Next step is to use a Rotation Action to select only the Point Parameter, which rotates the Point Parameter and brings the text along with it, keeping the text oriented in the upright reading position always. As an example, think about a viewport tag with a North arrow, and the letter "N" at the arrow tip. When you rotate the arrow, the "N" position rotates with the arrow's point but always is oriented upright.
View 3 Replies
View Related
Mar 29, 2013
I need to get list of all block reference in a drawing without iterating through all entities in the drawing.
View 7 Replies
View Related
Jan 11, 2013
I have a weird problem with exploding block reference with vb.net as follows.
When I use BR.explode(DBObjectCollection), and append the entities in the object collection to model space,
the 3d Polylines inside the block reference do not get appended and I do not get any kind of error. The reason for this eludes me as of yet. (remember, simple polylines and lines and other objects do get appended to model space)
When I use BR.explodetoOwnerSpace(), the block reference explodes as it normally is expected to, but then I have no way to collect the objects from the exploded BR.
View 9 Replies
View Related
Sep 27, 2012
I'm working with two different drawings to import Layers for Lot Grading and when I'm importing the Block Reference from the origin file, it's setup as Linescale 0.5, but when I import into my regular basemap, which is setup for Linescale 1, the text size is double what it should be.
View 1 Replies
View Related
May 11, 2010
i need to use something with similar effect to Editor's method SelectCrossingWindow, but i need it to select object in Block Reference. How can i do that?
View 5 Replies
View Related
Jul 13, 2012
I have a block reference in a dwg that is a like a form, for example:
Written By: Diogo
Author: Diogo
Date: 13-07-2012
State: Check-in
In autocad this is a block, and on the attributes of the block reference I only can edit State and Author, and i would like to get all values. Because i want to fill those values of Written By, Author, Date and State by code. I can reach the attribute collection of the block but i only can see the State and Author.
View 7 Replies
View Related
Jun 14, 2011
is ter any way to explode a reference block
View 4 Replies
View Related
Dec 3, 2013
I have excel tables that contain 4 columns of data.
The Y co-ords pf the required object
The X co-ords pf the required object
The rotation of the required object
The object number
What would I need to do to insert a block at the coordinates to the rotation shown then have a leader with the point number labeling the block (but the text not be rotated to the angle of the main block.
View 2 Replies
View Related
Nov 29, 2012
I have a drawing with many block references on it and they have some attributes.
I know how to find the block reference witch the attribute value, and even change it but I don't know how to select it once I have the object ID of the block.
How can I do the selection without asking the user to select it?
View 6 Replies
View Related
Aug 2, 2013
I wonder if this can be done. i have a number of blocks which have labels to them i.e. JW1, JW2, JW3 etc. which corresponds to the block name. Is it possible to have the label automatically referenced to the block name so if i change the block name to JW10 the label within the block changes to JW10 as well.
View 4 Replies
View Related
Mar 21, 2013
I get a block reference (has attribute) from other drawing as code follow:
Public Sub GetBlock_Info() Dim blockName As String = "test" Try Dim doc As Document = Application.DocumentManager.MdiActiveDocument Dim doclock As DocumentLock = doc.LockDocument() Dim ed As Editor = doc.Editor Dim ofd As New OpenFileDialog("Select Drawing", Nothing, "dwg; dwt", "ATS detai drawing", Autodesk.AutoCAD.Windows.OpenFileDialog.OpenFileDialogFlags.DoNotTransferRemoteFiles) Dim dr As
[code]..........
View 9 Replies
View Related
Sep 9, 2013
i have a .dwg fille with some block reference.
I want to fill color for block reference, but when I debug to hatch.appendloop function, I get message eInvalidInput, and block don’t fill color.
This is my
[CommandMethod("FillColor")]
public void FillColor()
{
Document doc =
Application.DocumentManager.MdiActiveDocument;
Editor ed =
doc.Editor;
Database db =
HostApplicationServices.WorkingDatabase;
Transaction tr =
db.TransactionManager.StartTransaction();
[Code]....
View 1 Replies
View Related